Bug 1122724 - [Doc] user_group definition in lbaas_agent.ini
Summary: [Doc] user_group definition in lbaas_agent.ini
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-Cloud_Administrator_Guide
Version: 5.0 (RHEL 7)
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: 5.0 (RHEL 7)
Assignee: Martin Lopes
QA Contact: RHOS Documentation Team
URL:
Whiteboard:
Depends On:
Blocks: 1207474
TreeView+ depends on / blocked
 
Reported: 2014-07-23 22:01 UTC by Joe Antkowiak
Modified: 2019-08-15 03:54 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
RH OSP 5 on RHEL 7, Cisco UCS hardware
Last Closed: 2015-04-08 00:55:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1283064 None None None Never

Description Joe Antkowiak 2014-07-23 22:01:36 UTC
Description of problem:
In /etc/neutron/lbaas_agent.ini, this line is commented out:

#user_group = nobody

This causes neutron to use the default group "nogroup" which is invalid on RHEL7



Version-Release number of selected component (if applicable):
RH OSP 5
RHEL 7



How reproducible:
100%


Steps to Reproduce:
1. Install configure and start neutron from RH OSP5 on RHEL7
2. Install configure and start the neutron-lbaas-agent service
3. Configure neutron lb pool, add members, create VIP
4. VIP reports error status, logs report:

 TRACE neutron.services.loadbalancer.agent.agent_manager Stderr: "[ALERT] 203/155848 (10210) : parsing [/var/lib/neutron/lbaas/32b929e5-1999-4cdd-8076-101c1f6ce5ef/conf:4] : cannot find group id for 'nogroup' (0:Success)\n[ALERT] 203/155848 (10210) : Error(s) found in configuration file : /var/lib/neutron/lbaas/32b929e5-1999-4cdd-8076-101c1f6ce5ef/conf\n[ALERT] 203/155848 (10210) : Fatal errors found in configuration.\n"

Actual results:

 TRACE neutron.services.loadbalancer.agent.agent_manager Stderr: "[ALERT] 203/155848 (10210) : parsing [/var/lib/neutron/lbaas/32b929e5-1999-4cdd-8076-101c1f6ce5ef/conf:4] : cannot find group id for 'nogroup' (0:Success)\n[ALERT] 203/155848 (10210) : Error(s) found in configuration file : /var/lib/neutron/lbaas/32b929e5-1999-4cdd-8076-101c1f6ce5ef/conf\n[ALERT] 203/155848 (10210) : Fatal errors found in configuration.\n"


Expected results:

VIP should get created without error status.  Once the line is uncommented in lbaas_agent.ini and the neutron-lbaas-agent service is restarted, the VIP creation works fine.


Additional info:

Related issue on the devstack+fedora side:  https://bugs.launchpad.net/devstack/+bug/1283064

Comment 5 Nir Yechiel 2014-07-24 14:26:43 UTC
Hi Joe,

Did you use Packstack for this deployment? Can you share more info about the environment and the exact steps you have taken to configure the lbaas-agent service?

Thanks,
Nir

Comment 6 Joe Antkowiak 2014-07-24 17:29:41 UTC
Hi Nir,

Did not use packstack to deploy.  The environment was set up following mostly the RH OSP5 install and configuration guide.

Rough environment overview:
1x Cisco UCS C220 Neutron node -- RHEL7 and OSP5, neutron, ml2, ovs, of
4x Cisco UCS C240 Storage nodes -- RHEL7, OSP5, gluster...  
9x Cisco UCS C220 Compute nodes -- RHEL7, OSP5, nova-compute, related agents, ovs
4x VMs (on RHEV) running RHEL7 and OSP5, functions split for keystone, mq, db, nova control, horizon, etc


After the neutron deployment defined in the guide, I separately enabled the lbaas functions in neutron.conf and followed the general openstack directions on lbaas_agent.ini.  I believe the neutron-lbaas-agent service is installed as part of the openstack-neutron package (as well as the config files) but is disabled by way of configuration.  I only needed to additionally install the haproxy package.

Everything appeared to work at first, but then the VIP failure happened.  In my investigation I found the log entry complaining of the missing "nogroup" group.

Main reason I opened this bug is that it is not obvious during the lbaas-agent setup/config edit that the user_group setting needs to be uncommented in /etc/neutron/lbaas_agent.ini file for everything to work, and I only discovered the error reporting by enabling debug and verbose in neutron.

This is likely to generate support cases.

I see three potential ways of resolving:

1. uncomment the user_group line in the /etc/neutron/lbaas_agent.ini file that is installed upon openstack-neutron package installation
-or-
2. have the openstack-neutron package installation create a user group "nogroup" so that the default works
-or-
3. add some description in the lbaas_agent.ini file above the commented user_group line to inform you that it should be uncommented for default deployment on RHEL, or to create the nogroup group, or at least some description

Hope this helps!

-Joe

Comment 7 Jakub Libosvar 2014-08-04 14:24:09 UTC
Thanks for reporting this Joe. 

This seems like configuration of lbaas.ini is missing in cloud administration guide: https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/5/html/Cloud_Administrator_Guide/ch_networking.html#section_lbaas-overview

I'm moving this bug to doc team. Feel free to contact me for any info.

Comment 8 Summer Long 2014-08-04 22:27:50 UTC
Assigning to Martin as the author handling neutron issues.

Comment 16 Martin Lopes 2015-04-08 00:55:52 UTC
Article was updated: https://access.redhat.com/articles/1241813
Dev bug was created to address this in packaging: BZ#1208002


Note You need to log in before you can comment on or make changes to this bug.